#include "genesis.h"
#include "piece.h"
#include "board.h"
#include "level.h"

void Board_Draw( uchar *board, uchar X, uchar Y)
{
	uchar curX, curY;
	ushort tile;
	
	for(curY=0; curY< 20; curY++)
	{
		for(curX=1; curX<11; curX++)
		{
				tile = *( board + 12*curY + curX );
				if (tile)
				{
					tile = PAL2;
					tile <<= 13;
					tile |= curLevel.data;
				}
				
				Gen_ShowUnique(curX+X-1, curY+Y, tile, BPLAN);
		}
	}
	
}

void Board_Add( uchar *board, struct Piece *P)
{
	uchar posX, posY;
		
	for (posY=0; posY<4; posY++)
	{
		for (posX=0; posX<4; posX++)
		{
				if ( P->aMask[posY][posX] )
				{
					*(board + 12*(posY + P->nY) + (posX+ P->nX +1)) = 1 ;
				}
		}		
	}	
	
	
	
}