#include "genesis.h"
#include "control.h"

#define	JOY_REDUNDANCE	( 5 )

struct Joy Joypad1;
struct Joy Joypad2;

/********* PRIVATE ***********/
/* read if joy change or still down */
static void JoyRead1()
{
	ushort joy;
	uchar newBut, newDir, oldBut;
	
	newBut = 0;
	joy = read_joypad1();			

	if (joy)
	{
		newBut = (uchar) (joy&0xFF);
		newBut &= ~Joypad1.keydown;
		Joypad1.keydown= (uchar) (joy&0xFF);
		Joypad1.key = newBut;	
	}
}

/********* PUBLIC ***********/
/* Init Joy refresh rate */
void Ctrl_Init( uchar redundance )
{
	ushort joy;
	
	init_joypad();	
	
	PauseState = 0;
	ResetState = 0;
		
	Joypad1.key=0x00;
	Joypad1.keydown=0x00;
	Joypad1.wait=0;
	Joypad1.initval=redundance;

	Joypad2.key=0x00;
	Joypad2.keydown=0x00;
	Joypad2.wait=0;
	Joypad2.initval=redundance;	
}

/**/

void Ctrl_Read( )
{
	JoyRead1();
	//JoyRead2();
}
