#include "genesis.h"
#include "tetris.h"
#include "game.h"

BOOL Tetris_Check( struct Player *P )
{
	char curX, curY;
	char nTmp;
	uchar nLine, iLine;
	
	P->bTetris = FALSE;
	nLine = iLine = 0;
	
	for(curY=0; curY< 20; curY++)
	{
		nTmp = 0;
		for(curX=1; curX<11; curX++) //skip first and last column
		{
				nTmp += P->aBoard[curY][curX];				
		}
		
		if (nTmp==10)
		{
			P->aTetrisLine[iLine++] = curY;
			P->bTetris = TRUE;
			P->nScore += 10;
			AlertEmu("Tetris line");
			AlertNumber(curY);
		}		
	}
	if (iLine == 0)	return FALSE;	
	
	nTmp = 0;
	
	for (nLine = iLine; nLine > 0; nLine--)
	{
		for(curY = (P->aTetrisLine[nLine-1]+nTmp); curY>0; curY--)
		{
			for(curX=1; curX<11; curX++) //skip first and last column
			{						
				P->aBoard[curY][curX] = (curY==0?0:P->aBoard[curY-1][curX]);				
			}
		}
		nTmp++;
	}	
	return TRUE;
}