#ifndef __INC_GAME__
#define __INC_GAME__

#include "piece.h"

#define	NO_PLAYER		0x00
#define	HUMAN_PLAYER	0x01
#define CPU_PLAYER		0x02

struct Player{
	uchar	nType; //Human, computer, nothing
	ushort	nScore; //current score
	uchar	nLevel;	//current level
	uchar	aBoard[20][12]; //current status of board (0:no block, 1:block), 20 rows, 10+2 colomns
	uchar	nDelay; //delay counter before next down of piece
	uchar	nID_Next; //id of next piece to come
	uchar	bTetris; //true when tetris occured
	uchar	aTetrisLine[4]; //lines where tetris occured (when bTetris == true)
	uchar	nMin, nMax; //limite of moving piece (in tiles)
	struct Piece strPiece;
};

extern struct Player P1;
extern struct Player P2;

void AlertNumber(ulong nVal);
void Game_Init( uchar nMode );
void Game_Update( );

#endif