;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;; Created by GSS 0.2 ;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;; Palette
	.align 1
pieces_pal:
	dc.w	0xD50
	dc.w	0x888
	dc.w	0xCCC
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000
	dc.w	0x000

;;;; Animation
	.align 1
pieces_anim:
	dc.w	0x0020 ; Width
	dc.w	0x0020 ; Height
	dc.w	0x0013 ; nbFrames
	dc.l	pieces_frames
	dc.w	0x0000 ; compress Size or 0
	dc.b	0x01 ; each sprite width
	dc.b	0x01 ; each sprite height
	dc.w	0x0001 ; number of tiles
	dc.l	pieces_sprite

	.align 1
pieces_frames:
	dc.l	pieces_frame_000
	dc.l	pieces_frame_001
	dc.l	pieces_frame_002
	dc.l	pieces_frame_003
	dc.l	pieces_frame_004
	dc.l	pieces_frame_005
	dc.l	pieces_frame_006
	dc.l	pieces_frame_007
	dc.l	pieces_frame_008
	dc.l	pieces_frame_009
	dc.l	pieces_frame_010
	dc.l	pieces_frame_011
	dc.l	pieces_frame_012
	dc.l	pieces_frame_013
	dc.l	pieces_frame_014
	dc.l	pieces_frame_015
	dc.l	pieces_frame_016
	dc.l	pieces_frame_017
	dc.l	pieces_frame_018

;; Frame n0
	.align 1
pieces_frame_000:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_000_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0000 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_000_spr:
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0008, 0x0010
	dc.w	0x0000, 0x0010, 0x0010

;; Frame n1
	.align 1
pieces_frame_001:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_001_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0001 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_001_spr:
	dc.w	0x0000, 0x0000, 0x0008
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008

;; Frame n2
	.align 1
pieces_frame_002:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_002_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0002 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_002_spr:
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010
	dc.w	0x0000, 0x0010, 0x0018

;; Frame n3
	.align 1
pieces_frame_003:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_003_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0003 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_003_spr:
	dc.w	0x0000, 0x0008, 0x0010
	dc.w	0x0000, 0x0010, 0x0010
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008

;; Frame n4
	.align 1
pieces_frame_004:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_004_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0004 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_004_spr:
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008
	dc.w	0x0000, 0x0018, 0x0010

;; Frame n5
	.align 1
pieces_frame_005:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_005_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0005 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_005_spr:
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010
	dc.w	0x0000, 0x0018, 0x0010

;; Frame n6
	.align 1
pieces_frame_006:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_006_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0006 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_006_spr:
	dc.w	0x0000, 0x0018, 0x0000
	dc.w	0x0000, 0x0018, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010

;; Frame n7
	.align 1
pieces_frame_007:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_007_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0007 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_007_spr:
	dc.w	0x0000, 0x0008, 0x0010
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008

;; Frame n8
	.align 1
pieces_frame_008:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_008_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0008 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_008_spr:
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010
	dc.w	0x0000, 0x0018, 0x0010

;; Frame n9
	.align 1
pieces_frame_009:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_009_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0009 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_009_spr:
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008
	dc.w	0x0000, 0x0018, 0x0000

;; Frame n10
	.align 1
pieces_frame_010:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_010_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000A ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_010_spr:
	dc.w	0x0000, 0x0008, 0x0000
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010

;; Frame n11
	.align 1
pieces_frame_011:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_011_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000B ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_011_spr:
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008
	dc.w	0x0000, 0x0018, 0x0010

;; Frame n12
	.align 1
pieces_frame_012:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_012_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000C ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_012_spr:
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0018, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010

;; Frame n13
	.align 1
pieces_frame_013:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_013_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000D ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_013_spr:
	dc.w	0x0000, 0x0008, 0x0000
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008

;; Frame n14
	.align 1
pieces_frame_014:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_014_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000E ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_014_spr:
	dc.w	0x0000, 0x0008, 0x0010
	dc.w	0x0000, 0x0010, 0x0010
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0000

;; Frame n15
	.align 1
pieces_frame_015:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_015_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x000F ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_015_spr:
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008
	dc.w	0x0000, 0x0010, 0x0010

;; Frame n16
	.align 1
pieces_frame_016:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_016_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0010 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_016_spr:
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0010, 0x0010
	dc.w	0x0000, 0x0018, 0x0008

;; Frame n17
	.align 1
pieces_frame_017:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_017_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0011 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_017_spr:
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0018, 0x0008
	dc.w	0x0000, 0x0010, 0x0000

;; Frame n18
	.align 1
pieces_frame_018:
	dc.w	0x0004 ; num sprites
	dc.l	pieces_frame_018_spr
	dc.w	0x0000 ; num cboxes
	dc.l	0 ; no collide box
	dc.l	0 ; timer
	dc.w	0x0012 ; next
	dc.w	0x00000000 ; data

	.align 1
pieces_frame_018_spr:
	dc.w	0x0000, 0x0010, 0x0000
	dc.w	0x0000, 0x0010, 0x0008
	dc.w	0x0000, 0x0008, 0x0008
	dc.w	0x0000, 0x0010, 0x0010


;;;; Sprites
	.align 1
pieces_sprite:
	INCBIN "pieces.bin"
